# class Byebug::ThreadCommand::SwitchCommand

Switches to the specified thread

### Public Class Methods

description() click to toggle source

    # File lib/byebug/commands/thread/switch.rb, line 20
          def self.description
            <<-DESCRIPTION
              th[read] sw[itch] <thnum>

              #{short_description}
            DESCRIPTION
          end

regexp() click to toggle source

    # File lib/byebug/commands/thread/switch.rb, line 16
    def self.regexp
      /^\s* sw(?:itch)? (?: \s* (\d+))? \s*$/x
    end

short_description() click to toggle source

    # File lib/byebug/commands/thread/switch.rb, line 28
    def self.short_description
      "Switches execution to the specified thread"
    end

### Public Instance Methods

execute() click to toggle source

    # File lib/byebug/commands/thread/switch.rb, line 32
    def execute
      return puts(help) unless @match[1]

      context, err = context_from_thread(@match[1])
      return errmsg(err) if err

      display_context(context)

      context.switch

      processor.proceed!
    end